## org.eclipse.amp.escape.ide
Class ParameterReader

    java.lang.Object
      org.eclipse.amp.escape.ide.ParameterReader

    public class ParameterReader

extends java.lang.Object

The Class ParameterReader.

Constructor Summary
`ParameterReader(org.eclipse.core.resources.IProject project, org.eclipse.core.runtime.IPath paramPath)` The Constructor.
`ParameterReader(org.eclipse.core.resources.IResource resource)` Instantiates a new parameter reader.
`ParameterReader(java.lang.String projectName, java.lang.String path)` Instantiates a new parameter reader.

Method Summary
`static java.lang.String[]` `argsFromPV(java.util.List<ParamValue> pvArgs)` Args from pv.
`java.util.List<ExpectedValue>` `getConstraints()` Gets the constraints.
`org.eclipse.core.resources.IFile` `getFile()` Gets the file.
`org.eclipse.core.runtime.IPath` `getIncorporated(org.eclipse.core.runtime.IPath filePath)` Gets the incorporated.
`java.lang.String` `getName()` Gets the name.
`org.eclipse.core.runtime.IPath` `getParamPath()` Gets the param path.
`org.eclipse.core.resources.IProject` `getProject()` Gets the project.
`java.lang.String` `getProjectName()` Gets the project name.
`ParameterReader` `getRelative(org.eclipse.core.runtime.IPath newPath)` Gets the relative.
`ParameterReader` `getTested()` Gets the tested.
`static org.eclipse.core.runtime.IPath` `makeRelativeTo(org.eclipse.core.runtime.IPath target, org.eclipse.core.runtime.IPath base)` Make relative to.
`static int` `matchingFirstSegments(org.eclipse.core.runtime.IPath target, org.eclipse.core.runtime.IPath anotherPath)` Matching first segments.
`static java.util.List<ParamValue>` `mergePV(java.util.List<ParamValue> pv1, java.util.List<ParamValue> pv2)` Merge pv.
`java.lang.String` `modelClassNameFromFile()` Model class name from file.
`java.util.List<ParamValue>` `pvsFromFile()` Pvs from file.
`java.lang.String` `titleFromFile()` Title from file.
`java.lang.String` `valueForParam(java.util.List<ParamValue> pvs, java.lang.String paramName)` Value for param.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterReader

    public ParameterReader(org.eclipse.core.resources.IResource resource)

  Instantiates a new parameter reader.

  Parameters:
    `resource` - the resource

### ParameterReader

    public ParameterReader(org.eclipse.core.resources.IProject project,
                           org.eclipse.core.runtime.IPath paramPath)

  The Constructor.

  Parameters:
    `project` - the project
    `paramPath` - the param path

### ParameterReader

    public ParameterReader(java.lang.String projectName,
                           java.lang.String path)

  Instantiates a new parameter reader.

  Parameters:
    `projectName` - the project name
    `path` - the path

Method Detail

### matchingFirstSegments

    public static int matchingFirstSegments(org.eclipse.core.runtime.IPath target,
                                            org.eclipse.core.runtime.IPath anotherPath)

  Matching first segments.

  Parameters:
    `target` - the target
    `anotherPath` - the another path
  Returns:
    the int

### makeRelativeTo

    public static org.eclipse.core.runtime.IPath makeRelativeTo(org.eclipse.core.runtime.IPath target,
                                                                org.eclipse.core.runtime.IPath base)

  Make relative to.

  Parameters:
    `target` - the target
    `base` - the base
  Returns:
    the i path

### getRelative

    public ParameterReader getRelative(org.eclipse.core.runtime.IPath newPath)

  Gets the relative.

  Parameters:
    `newPath` - the new path
  Returns:
    the relative

### getIncorporated

    public org.eclipse.core.runtime.IPath getIncorporated(org.eclipse.core.runtime.IPath filePath)

  Gets the incorporated.

  Parameters:
    `filePath` - the file path
  Returns:
    the incorporated

### getTested

    public ParameterReader getTested()

  Gets the tested.

  Returns:
    the tested

### pvsFromFile

    public java.util.List<ParamValue> pvsFromFile()

  Pvs from file.

  Returns:
    the list< param value>

### getConstraints

    public java.util.List<ExpectedValue> getConstraints()

  Gets the constraints.

  Returns:
    the constraints

### argsFromPV

    public static java.lang.String[] argsFromPV(java.util.List<ParamValue> pvArgs)

  Args from pv.

  Parameters:
    `pvArgs` - the pv args
  Returns:
    the string[]

### mergePV

    public static java.util.List<ParamValue> mergePV(java.util.List<ParamValue> pv1,
                                                     java.util.List<ParamValue> pv2)

  Merge pv.

  Parameters:
    `pv1` - the pv1
    `pv2` - the pv2
  Returns:
    the list< param value>

### modelClassNameFromFile

    public java.lang.String modelClassNameFromFile()

  Model class name from file.

  Returns:
    the string

### titleFromFile

    public java.lang.String titleFromFile()

  Title from file.

  Returns:
    the string

### valueForParam

    public java.lang.String valueForParam(java.util.List<ParamValue> pvs,
                                          java.lang.String paramName)

  Value for param.

  Parameters:
    `pvs` - the pvs
    `paramName` - the param name
  Returns:
    the string

### getName

    public java.lang.String getName()

  Gets the name.

  Returns:
    the name

### getProject

    public org.eclipse.core.resources.IProject getProject()

  Gets the project.

  Returns:
    the project

### getParamPath

    public org.eclipse.core.runtime.IPath getParamPath()

  Gets the param path.

  Returns:
    the param path

### getFile

    public org.eclipse.core.resources.IFile getFile()

  Gets the file.

  Returns:
    the file

### getProjectName

    public java.lang.String getProjectName()

  Gets the project name.

  Returns:
    the project name